
# Predicción de PM2.5

Notebooks de Jupyter para hacer el analisis y prediccion del PM2.5 de las estaciones SIATA:

- Estación #25 - Medellín, centro occidente - Universidad Nacional, sede El Volador
- Estación #28 - Itagüí - Casa de Justicia Itagüí
- Estación #31 - Caldas - Corporacion Universitaria Lasallista

El proyecto consta de dos notebooks de Jupyter:

- *tfm_modelos.ipynb*
- *tfm_preprocesamiento.ipynb*

Carpetas:

- *data*:  Contiene los datos a modelar
- *modelos*: Almacena los modelos entrenados

## Requisitos

Python 3.5+

## Instalación

Desde un terminal ejecutar

```bash
pip install -r requirements.txt
```


## Ejecución

Primero se debe ejecutar desde Jupyter el notebook '*tfm_preprocesamiento.ipynb*' para hacer el pre-procesamiento y análisis estadístico de los datos

Finalmente se ejecuta el notebook '*tfm_modelos.ipynb*' para hacer el entrenamiento de los modelos y las predicciones.
